Bug 1462803 - [RFE] Add support for VM "Restart Guest", for RHV provider
[RFE] Add support for VM "Restart Guest", for RHV provider
Status: ON_QA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: MVP
: 5.9.0
Assigned To: Tomas Jelinek
Ilanit Stein
rhev
: FutureFeature, RFE, TestOnly, ZStream
Depends On:
Blocks: 1515565 1478418
  Show dependency treegraph
 
Reported: 2017-06-19 10:53 EDT by ldomb
Modified: 2017-11-20 22:51 EST (History)
12 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1478418 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Feature
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)

  None (edit)
Description ldomb 2017-06-19 10:53:52 EDT
Description of problem:
When running a vm_reset on RHV 4.1 CFME is not able to reset as the method is missing

Version-Release number of selected component (if applicable):
5.8.0.17.20170525183055_6317a22

How reproducible:


Steps to Reproduce:
1. Create a VM on RHV 4.1 or use an existing one
2. reset the VM
3.

Actual results:

[----] E, [2017-06-19T10:23:34.464442 #11809:951140] ERROR -- : MIQ(MiqQueue#m_callback) Message id: [99000032225277]: undefined method `vm_reset' for #<ManageIQ::Providers::Redhat::InfraManager:0x00000014d92308>
[----] E, [2017-06-19T10:23:34.464711 #11809:951140] ERROR -- : MIQ(MiqQueue#m_callback) backtrace: /opt/rh/cfme-gemset/gems/activemodel-5.0.3/lib/active_model/attribute_methods.rb:433:in `method_missing'
/var/www/miq/vmdb/app/models/vm_or_template.rb:331:in `run_command_via_parent'
/var/www/miq/vmdb/app/models/vm/operations/guest.rb:54:in `raw_reset'
/var/www/miq/vmdb/app/models/mixins/miq_policy_mixin.rb:115:in `check_policy_prevent_callback'
/var/www/miq/vmdb/app/models/miq_queue.rb:414:in `m_callback'
/var/www/miq/vmdb/app/models/miq_queue.rb:383:in `delivered'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:118:in `deliver_queue_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:135:in `deliver_message'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:153:in `block in do_work'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:147:in `loop'
/var/www/miq/vmdb/app/models/miq_queue_worker_base/runner.rb:147:in `do_work'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:336:in `block in do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:333:in `loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:333:in `do_work_loop'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:155:in `run'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:130:in `start'
/var/www/miq/vmdb/app/models/miq_worker/runner.rb:21:in `start_worker'
/var/www/miq/vmdb/app/models/miq_worker.rb:339:in `block in start_runner'
/opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.3/lib/nakayoshi_fork.rb:24:in `fork'
/opt/rh/cfme-gemset/gems/nakayoshi_fork-0.0.3/lib/nakayoshi_fork.rb:24:in `fork'
/var/www/miq/vmdb/app/models/miq_worker.rb:337:in `start_runner'
/var/www/miq/vmdb/app/models/miq_worker.rb:348:in `start'
/var/www/miq/vmdb/app/models/miq_worker.rb:266:in `start_worker'
/var/www/miq/vmdb/app/models/miq_worker.rb:150:in `block in sync_workers'
/var/www/miq/vmdb/app/models/miq_worker.rb:150:in `times'
/var/www/miq/vmdb/app/models/miq_worker.rb:150:in `sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:53:in `block in sync_workers'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `each'
/var/www/miq/vmdb/app/models/miq_server/worker_management/monitor.rb:50:in `sync_workers'
/var/www/miq/vmdb/app/models/miq_server.rb:160:in `start'
/var/www/miq/vmdb/app/models/miq_server.rb:251:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:65:in `start'
/var/www/miq/vmdb/lib/workers/evm_server.rb:91:in `start'
/var/www/miq/vmdb/lib/workers/bin/evm_server.rb:4:in `<main>'



Expected results:
 reset should work as expected

Additional info:
Comment 3 Ilanit Stein 2017-06-20 02:32:28 EDT
reset VM power option is not supported for RHV provider.

We have Bug 1438690, that refer to having this option available in UI, 
though it is not supported. 

It should be either implemented (RFE), or removed from RHV VM power options.
Comment 4 Oved Ourfali 2017-06-20 02:37:43 EDT
As far as I understand, VM reset means "non-graceful" shutdown, which is something we can add.
Restart is more problematic, and should probably be removed.
Comment 5 Martin Betak 2017-06-26 06:52:15 EDT
Implemented guest reboot in https://github.com/ManageIQ/manageiq-providers-ovirt/pull/52
Comment 7 Ilanit Stein 2017-08-22 03:09:51 EDT
The fix in this bug is for adding VM "Restart Guest", and not VM "Reset".
There fore changing the bug title into Restart Guest, and changed it into an RFE.

Opened this Bug for VM "Reset":
Bug 1483857 - [RFE] Add support for VM "Reset", for RHV provider.

Note You need to log in before you can comment on or make changes to this bug.